Welcome To Signs101.com: Largest Forum for Signmaking Professionals

Signs101.com: Largest Forum for Signmaking Professionals is the LARGEST online community & discussion forum for professional sign-makers and graphic designers.

 


  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Important Flexi 8.5 Mac Announcement

Discussion in 'Flexi' started by Steph_Stamm, Nov 11, 2013.

  1. Steph_Stamm

    Steph_Stamm Member

    216
    1
    0
    Nov 30, 2009
    Due to many of the changes implemented in OS X Mavericks, SAi Flexi 8.5 for Mac will not operate on OSX 10.9. Flexi 8.5 was released in 2007 on a development platform which is not compatible with OS X Mavericks. Therefore, we recommend users who wish to continue to use Flexi 8.5 for Mac to not upgrade to OS X Mavericks. We apologize for any inconvenience this may cause. Thank you for your understanding.
     
    Tags:
  2. MrG

    MrG New Member

    9
    0
    0
    Mar 30, 2011
    So does 8.5 work ok with Mac OS versions before Mavericks? Like Snow Leopard, Lion and Mountain Lion? I'm now running Snow Leopard but would like to update to a newer OS. Which OS would be best?
    I have lots of old files created with Roland's old SignMate program, so need a program that can import these files.
    This runs on an Intel i3 CPU iMac.
    Thanks!
     
  3. "Deposit Please"

    "Deposit Please" Active Member

    780
    0
    16
    Sep 17, 2009
    Illinois
    The End of the Road!

    After many years of uncertainty on it's future and many of my dollars later, Sai finally jumps ship. I hope you left some lifejackets on-board.
     
  4. Bigcat_hunter

    Bigcat_hunter Member

    223
    3
    18
    Dec 15, 2012
    oregon
    I just found this out the hard way. Thank god I have two computers running or I would be dead in the water. Just bought Caldera, should be here tomorrow. Hope it's an easy learning curve.
     
  5. Glad I jumped from the Flexi train wreck over to Onyx now. The Mac version of Flexi was a buggy, crash machine, piece of crap... would always crash halfway through a banner for no reason. Lots of wasted time and materials.

    Onyx 11 rules!
     
  6. Steph_Stamm

    Steph_Stamm Member

    216
    1
    0
    Nov 30, 2009
    Hi MrG, Snow Leopard is the latest compatible OS with Flexi 8.5 Mac, so we don't recommend upgrading your operating system beyond Snow Leopard.
     
  7. Z SIGNS

    Z SIGNS Very Active Member

    1,074
    146
    63
    Feb 14, 2009
    Trenton NJ
    I've been thinking about buying flexi.I currently use corel and ai.
    Besides the rip and plotting does flexi do anything that can't be done in corel or adobe ?
     
Loading...

Share This Page

 


Loading...